This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 820781 - Downloading and adding the three base tasks should be explicit in guide
Downloading and adding the three base tasks should be explicit in guide
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14
: ---
Assigned To: Raymond Mancy
Doc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 19:49 EDT by Nish Aravamudan
Modified: 2015-05-03 22:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 20:52:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nish Aravamudan 2012-05-10 19:49:26 EDT
Given that install/inventory/reservesys are necessary for a functioning beaker installation, either all three should ship with beaker (or in an associated package) and be automatically added, or the deployment guide should be more explicit about obtaining them and adding them.
Comment 2 Dan Callaghan 2013-07-18 20:52:50 EDT
Agreed that bundling the tasks somehow would be nice, but I'm not sure how we could sanely update them in that case.

In the meantime, the docs are now explicit about needing to add these tasks after setting up your Beaker instance:

http://beaker-project.org/docs/admin-guide/installation.html#next-steps

"There are two special tasks which Beaker relies on for normal operation: /distribution/install and /distribution/reservesys. You should add these to your Beaker installation before attempting to run jobs. [...]"

Note You need to log in before you can comment on or make changes to this bug.